Bug 192525 - KDED4 crashed when clicking Ok in a Get Authorization dialog (choqok), after some time
Summary: KDED4 crashed when clicking Ok in a Get Authorization dialog (choqok), after ...
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Frameworks and Libraries
Component: kpasswdserver (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
: 192750 195058 196118 196849 197045 197676 198323 198465 198488 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-05-13 02:48 UTC by Dario Andres
Modified: 2009-07-01 03:51 UTC (History)
12 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dario Andres 2009-05-13 02:48:16 UTC
Application that crashed: kded4
Version of the application: $Id: kded.cpp 944898 2009-03-26 13:01:25Z dfaure $
KDE Version: 4.2.85 (KDE 4.2.85 (KDE 4.3 Beta1))
Qt Version: 4.5.1
Operating System: Linux 2.6.29-ARCH i686
Distribution: "(none)"

What I was doing when the application crashed:
Qt: 4.5.1 (qt-copy  958974)
kdelibs svn rev. 967040 / kdebase svn rev. 967041

Choqok seems to ask for password sometimes.. even when it is configured to use the wallet, and the wallet is opened (It asked for opening before)

When I returned to the computer and unlocked the session, there was this "Ask for Password" dialog for Choqok account (the data was filled already). I clicked "Ok" and after some seconds the KDE daemon crashed. May be this dialog was waiting for a really long time and it just crashed by a timeout or something related.

 -- Backtrace:
Application: KDE Daemon (kded4), signal: Segmentation fault
[KCrash Handler]
#6  QMap<QString, ExtraField>::detach_helper (this=0x90cabc8) at /home/kde-devel/kde/src/qt-copy/include/QtCore/../../src/corelib/arch/qatomic_i386.h:120
#7  0xb7d9b138 in KIO::AuthInfo::operator= (this=0xbfd0772c, info=@0x9049c8c) at /home/kde-devel/kde/src/qt-copy/include/QtCore/../../src/corelib/tools/qmap.h:403
#8  0xb7d9b1f9 in AuthInfo (this=0xbfd0772c, info=@0x9049c8c) at /home/kde-devel/kde/src/KDE/kdelibs/kio/kio/authinfo.cpp:123
#9  0xb2e6cc80 in KPasswdServerAdaptor::qt_metacall (this=0x8ebdf08, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfd07860)
    at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserveradaptor.moc:139
#10 0xb75b8b3b in QMetaObject::activate (sender=0x900c360, from_signal_index=8, to_signal_index=8, argv=0xbfd07860) at kernel/qobject.cpp:3117
#11 0xb75b9f07 in QMetaObject::activate (sender=0x900c360, m=0xb2e70030, local_signal_index=0, argv=0xbfd07860) at kernel/qobject.cpp:3194
#12 0xb2e636f7 in KPasswdServer::checkAuthInfoAsyncResult (this=0x900c360, _t1=6, _t2=1, _t3=@0x9049c8c) at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.moc:121
#13 0xb2e6ab7e in KPasswdServer::processRequest (this=0x900c360) at /home/kde-devel/kde/src/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.cpp:687
#14 0xb2e6b6db in KPasswdServer::qt_metacall (this=0x900c360, _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0xbfd07c38)
    at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.moc:108
#15 0xb75b8b3b in QMetaObject::activate (sender=0x9026cf0, from_signal_index=4, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3117
#16 0xb75b9f07 in QMetaObject::activate (sender=0x9026cf0, m=0xb765cd48, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3194
#17 0xb75c1075 in QSingleShotTimer::timeout (this=0x9026cf0) at .moc/debug-shared/qtimer.moc:76
#18 0xb75c1190 in QSingleShotTimer::timerEvent (this=0x9026cf0) at kernel/qtimer.cpp:298
#19 0xb75b6936 in QObject::event (this=0x9026cf0, e=0xbfd08224) at kernel/qobject.cpp:1082
#20 0xb6ab71d5 in QApplicationPrivate::notify_helper (this=0x8e67df8, receiver=0x9026cf0, e=0xbfd08224) at kernel/qapplication.cpp:4057
#21 0xb6ab7589 in QApplication::notify (this=0xbfd0c070, receiver=0x9026cf0, e=0xbfd08224) at kernel/qapplication.cpp:3604
#22 0xb7afe24a in KApplication::notify (this=0xbfd0c070, receiver=0x9026cf0, event=0xbfd08224) at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/kernel/kapplication.cpp:307
#23 0xb75a26cb in QCoreApplication::notifyInternal (this=0xbfd0c070, receiver=0x9026cf0, event=0xbfd08224) at kernel/qcoreapplication.cpp:606
#24 0xb75a6259 in QCoreApplication::sendEvent (receiver=0x9026cf0, event=0xbfd08224) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#25 0xb75d47d1 in QTimerInfoList::activateTimers (this=0x8e6ffac) at kernel/qeventdispatcher_unix.cpp:572
#26 0xb75d211d in timerSourceDispatch (source=0x8e6ff78) at kernel/qeventdispatcher_glib.cpp:164
#27 0xb633b718 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#28 0xb633ec7b in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#29 0xb633edf8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#30 0xb75d141e in QEventDispatcherGlib::processEvents (this=0x8e67dd8, flags={i = -1076853848}) at kernel/qeventdispatcher_glib.cpp:324
#31 0xb6b64dd8 in QGuiEventDispatcherGlib::processEvents (this=0x8e67dd8, flags={i = -1076853800}) at kernel/qguieventdispatcher_glib.cpp:202
#32 0xb759f6b0 in QEventLoop::processEvents (this=0xbfd08530, flags={i = -1076853728}) at kernel/qeventloop.cpp:149
#33 0xb759f90a in QEventLoop::exec (this=0xbfd08530, flags={i = -1076853404}) at kernel/qeventloop.cpp:196
#34 0xb7b96e00 in KWallet::Wallet::openWallet (name=@0xbfd085bc, w=0, ot=KWallet::Wallet::Synchronous) at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/util/kwallet.cpp:252
#35 0xb2e65c9b in KPasswdServer::openWallet (this=0x900c360, windowId=0) at /home/kde-devel/kde/src/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.cpp:488
#36 0xb2e676ca in KPasswdServer::checkAuthInfoAsync (this=0x900c360, info=) at /home/kde-devel/kde/src/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.cpp:317
#37 0xb2e6c928 in KPasswdServerAdaptor::checkAuthInfoAsync (this=0x8ebdf08, info=
      {url = {<QUrl> = {d = 0x901af50}, d = 0x0}, username = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x8fc1ac0, static codecForCStrings = 0x0}, password = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, prompt = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x901b3c0, static codecForCStrings = 0x0}, caption = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, comment = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x901b4c8, static codecForCStrings = 0x0}, commentLabel = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x8fc1c98, static codecForCStrings = 0x0}, realmValue = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x901a688, static codecForCStrings = 0x0}, digestInfo = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, verifyPath = false, readOnly = false, keepPassword = true, modified = false, d = 0x8ecb720}, windowId=0, usertime=0)
    at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserveradaptor.cpp:57
#38 0xb2e6ce38 in KPasswdServerAdaptor::qt_metacall (this=0x8ebdf08, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfd08920)
    at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserveradaptor.moc:145
#39 0xb767e0be in QDBusConnectionPrivate::deliverCall (this=0x8e6bab0, object=0x8ebdf08, msg=@0x9011df0, metaTypes=@0x90122f4, slotIdx=9) at qdbusintegrator.cpp:891
#40 0xb767ec4f in QDBusConnectionPrivate::activateCall (this=0x8e6bab0, object=0x8ebdf08, flags=497, msg=@0x9011df0) at qdbusintegrator.cpp:803
#41 0xb767f71c in QDBusConnectionPrivate::activateObject (this=0x8e6bab0, node=@0x9011ddc, msg=@0x9011df0, pathStartPos=22) at qdbusintegrator.cpp:1352
#42 0xb767f999 in QDBusActivateObjectEvent::placeMetaCall (this=0x9011db0) at qdbusintegrator.cpp:1469
#43 0xb75b69ef in QObject::event (this=0x900c360, e=0x9011db0) at kernel/qobject.cpp:1115
#44 0xb6ab71d5 in QApplicationPrivate::notify_helper (this=0x8e67df8, receiver=0x900c360, e=0x9011db0) at kernel/qapplication.cpp:4057
#45 0xb6ab7589 in QApplication::notify (this=0xbfd0c070, receiver=0x900c360, e=0x9011db0) at kernel/qapplication.cpp:3604
#46 0xb7afe24a in KApplication::notify (this=0xbfd0c070, receiver=0x900c360, event=0x9011db0) at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/kernel/kapplication.cpp:307
#47 0xb75a26cb in QCoreApplication::notifyInternal (this=0xbfd0c070, receiver=0x900c360, event=0x9011db0) at kernel/qcoreapplication.cpp:606
#48 0xb75a6259 in QCoreApplication::sendEvent (receiver=0x900c360, event=0x9011db0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#49 0xb75a2bb3 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8e31998) at kernel/qcoreapplication.cpp:1244
#50 0xb75a2d6f in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1140
#51 0xb75d2e2a in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#52 0xb75d2035 in postEventSourceDispatch (s=0x8e6a118) at kernel/qeventdispatcher_glib.cpp:209
#53 0xb633b718 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#54 0xb633ec7b in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#55 0xb633edf8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#56 0xb75d141e in QEventDispatcherGlib::processEvents (this=0x8e67dd8, flags={i = -1076850040}) at kernel/qeventdispatcher_glib.cpp:324
#57 0xb6b64dd8 in QGuiEventDispatcherGlib::processEvents (this=0x8e67dd8, flags={i = -1076849992}) at kernel/qguieventdispatcher_glib.cpp:202
#58 0xb759f6b0 in QEventLoop::processEvents (this=0xbfd09410, flags={i = -1076849920}) at kernel/qeventloop.cpp:149
#59 0xb759f90a in QEventLoop::exec (this=0xbfd09410, flags={i = -1076849596}) at kernel/qeventloop.cpp:196
#60 0xb7b96e00 in KWallet::Wallet::openWallet (name=@0xbfd0949c, w=0, ot=KWallet::Wallet::Synchronous) at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/util/kwallet.cpp:252
#61 0xb2e65c9b in KPasswdServer::openWallet (this=0x900c360, windowId=0) at /home/kde-devel/kde/src/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.cpp:488
#62 0xb2e676ca in KPasswdServer::checkAuthInfoAsync (this=0x900c360, info=) at /home/kde-devel/kde/src/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.cpp:317
#63 0xb2e6c928 in KPasswdServerAdaptor::checkAuthInfoAsync (this=0x8ebdf08, info=
      {url = {<QUrl> = {d = 0x90318d0}, d = 0x0}, username = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x8ff9108, static codecForCStrings = 0x0}, password = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, prompt = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x9049460, static codecForCStrings = 0x0}, caption = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, comment = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x901b080, static codecForCStrings = 0x0}, commentLabel = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x9031990, static codecForCStrings = 0x0}, realmValue = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x901a4a8, static codecForCStrings = 0x0}, digestInfo = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, verifyPath = false, readOnly = false, keepPassword = true, modified = false, d = 0x8ffa110}, windowId=0, usertime=0)
    at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserveradaptor.cpp:57
#64 0xb2e6ce38 in KPasswdServerAdaptor::qt_metacall (this=0x8ebdf08, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfd09800)
    at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserveradaptor.moc:145
#65 0xb767e0be in QDBusConnectionPrivate::deliverCall (this=0x8e6bab0, object=0x8ebdf08, msg=@0x8fc1c70, metaTypes=@0x90122f4, slotIdx=9) at qdbusintegrator.cpp:891
#66 0xb767ec4f in QDBusConnectionPrivate::activateCall (this=0x8e6bab0, object=0x8ebdf08, flags=497, msg=@0x8fc1c70) at qdbusintegrator.cpp:803
#67 0xb767f71c in QDBusConnectionPrivate::activateObject (this=0x8e6bab0, node=@0x8fc1c5c, msg=@0x8fc1c70, pathStartPos=22) at qdbusintegrator.cpp:1352
#68 0xb767f999 in QDBusActivateObjectEvent::placeMetaCall (this=0x8fc1c30) at qdbusintegrator.cpp:1469
#69 0xb75b69ef in QObject::event (this=0x900c360, e=0x8fc1c30) at kernel/qobject.cpp:1115
#70 0xb6ab71d5 in QApplicationPrivate::notify_helper (this=0x8e67df8, receiver=0x900c360, e=0x8fc1c30) at kernel/qapplication.cpp:4057
#71 0xb6ab7589 in QApplication::notify (this=0xbfd0c070, receiver=0x900c360, e=0x8fc1c30) at kernel/qapplication.cpp:3604
#72 0xb7afe24a in KApplication::notify (this=0xbfd0c070, receiver=0x900c360, event=0x8fc1c30) at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/kernel/kapplication.cpp:307
#73 0xb75a26cb in QCoreApplication::notifyInternal (this=0xbfd0c070, receiver=0x900c360, event=0x8fc1c30) at kernel/qcoreapplication.cpp:606
#74 0xb75a6259 in QCoreApplication::sendEvent (receiver=0x900c360, event=0x8fc1c30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#75 0xb75a2bb3 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8e31998) at kernel/qcoreapplication.cpp:1244
#76 0xb75a2d6f in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1140
#77 0xb75d2e2a in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#78 0xb75d2035 in postEventSourceDispatch (s=0x8e6a118) at kernel/qeventdispatcher_glib.cpp:209
#79 0xb633b718 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#80 0xb633ec7b in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#81 0xb633edf8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#82 0xb75d141e in QEventDispatcherGlib::processEvents (this=0x8e67dd8, flags={i = -1076846232}) at kernel/qeventdispatcher_glib.cpp:324
#83 0xb6b64dd8 in QGuiEventDispatcherGlib::processEvents (this=0x8e67dd8, flags={i = -1076846184}) at kernel/qguieventdispatcher_glib.cpp:202
#84 0xb759f6b0 in QEventLoop::processEvents (this=0xbfd0a2f0, flags={i = -1076846112}) at kernel/qeventloop.cpp:149
#85 0xb759f90a in QEventLoop::exec (this=0xbfd0a2f0, flags={i = -1076845788}) at kernel/qeventloop.cpp:196
#86 0xb7b96e00 in KWallet::Wallet::openWallet (name=@0xbfd0a37c, w=0, ot=KWallet::Wallet::Synchronous) at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/util/kwallet.cpp:252
#87 0xb2e65c9b in KPasswdServer::openWallet (this=0x900c360, windowId=0) at /home/kde-devel/kde/src/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.cpp:488
#88 0xb2e676ca in KPasswdServer::checkAuthInfoAsync (this=0x900c360, info=) at /home/kde-devel/kde/src/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.cpp:317
#89 0xb2e6c928 in KPasswdServerAdaptor::checkAuthInfoAsync (this=0x8ebdf08, info=
      {url = {<QUrl> = {d = 0x901ac28}, d = 0x0}, username = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x9031308, static codecForCStrings = 0x0}, password = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, prompt = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x9038d80, static codecForCStrings = 0x0}, caption = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, comment = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x901aba0, static codecForCStrings = 0x0}, commentLabel = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x8ffacd8, static codecForCStrings = 0x0}, realmValue = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x901a6e8, static codecForCStrings = 0x0}, digestInfo = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, verifyPath = false, readOnly = false, keepPassword = true, modified = false, d = 0x8f9a2d8}, windowId=0, usertime=0)
    at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserveradaptor.cpp:57
#90 0xb2e6ce38 in KPasswdServerAdaptor::qt_metacall (this=0x8ebdf08, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfd0a6e0)
    at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserveradaptor.moc:145
#91 0xb767e0be in QDBusConnectionPrivate::deliverCall (this=0x8e6bab0, object=0x8ebdf08, msg=@0x8fc1b58, metaTypes=@0x90122f4, slotIdx=9) at qdbusintegrator.cpp:891
#92 0xb767ec4f in QDBusConnectionPrivate::activateCall (this=0x8e6bab0, object=0x8ebdf08, flags=497, msg=@0x8fc1b58) at qdbusintegrator.cpp:803
#93 0xb767f71c in QDBusConnectionPrivate::activateObject (this=0x8e6bab0, node=@0x8fc1b44, msg=@0x8fc1b58, pathStartPos=22) at qdbusintegrator.cpp:1352
#94 0xb767f999 in QDBusActivateObjectEvent::placeMetaCall (this=0x8fc1b18) at qdbusintegrator.cpp:1469
#95 0xb75b69ef in QObject::event (this=0x900c360, e=0x8fc1b18) at kernel/qobject.cpp:1115
#96 0xb6ab71d5 in QApplicationPrivate::notify_helper (this=0x8e67df8, receiver=0x900c360, e=0x8fc1b18) at kernel/qapplication.cpp:4057
#97 0xb6ab7589 in QApplication::notify (this=0xbfd0c070, receiver=0x900c360, e=0x8fc1b18) at kernel/qapplication.cpp:3604
#98 0xb7afe24a in KApplication::notify (this=0xbfd0c070, receiver=0x900c360, event=0x8fc1b18) at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/kernel/kapplication.cpp:307
#99 0xb75a26cb in QCoreApplication::notifyInternal (this=0xbfd0c070, receiver=0x900c360, event=0x8fc1b18) at kernel/qcoreapplication.cpp:606
#100 0xb75a6259 in QCoreApplication::sendEvent (receiver=0x900c360, event=0x8fc1b18) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#101 0xb75a2bb3 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8e31998) at kernel/qcoreapplication.cpp:1244
#102 0xb75a2d6f in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1140
#103 0xb75d2e2a in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#104 0xb75d2035 in postEventSourceDispatch (s=0x8e6a118) at kernel/qeventdispatcher_glib.cpp:209
#105 0xb633b718 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#106 0xb633ec7b in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#107 0xb633edf8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#108 0xb75d141e in QEventDispatcherGlib::processEvents (this=0x8e67dd8, flags={i = -1076842424}) at kernel/qeventdispatcher_glib.cpp:324
#109 0xb6b64dd8 in QGuiEventDispatcherGlib::processEvents (this=0x8e67dd8, flags={i = -1076842376}) at kernel/qguieventdispatcher_glib.cpp:202
#110 0xb759f6b0 in QEventLoop::processEvents (this=0xbfd0b1d0, flags={i = -1076842304}) at kernel/qeventloop.cpp:149
#111 0xb759f90a in QEventLoop::exec (this=0xbfd0b1d0, flags={i = -1076841980}) at kernel/qeventloop.cpp:196
#112 0xb7b96e00 in KWallet::Wallet::openWallet (name=@0xbfd0b25c, w=0, ot=KWallet::Wallet::Synchronous) at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/util/kwallet.cpp:252
#113 0xb2e65c9b in KPasswdServer::openWallet (this=0x900c360, windowId=0) at /home/kde-devel/kde/src/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.cpp:488
#114 0xb2e676ca in KPasswdServer::checkAuthInfoAsync (this=0x900c360, info=) at /home/kde-devel/kde/src/KDE/kdebase/runtime/kpasswdserver/kpasswdserver.cpp:317
#115 0xb2e6c928 in KPasswdServerAdaptor::checkAuthInfoAsync (this=0x8ebdf08, info=
      {url = {<QUrl> = {d = 0x9012850}, d = 0x0}, username = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x90398d0, static codecForCStrings = 0x0}, password = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, prompt = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x90126c0, static codecForCStrings = 0x0}, caption = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, comment = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x90127c8, static codecForCStrings = 0x0}, commentLabel = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x9012378, static codecForCStrings = 0x0}, realmValue = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x9012480, static codecForCStrings = 0x0}, digestInfo = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 4461}, alloc = 0, size = 0, data = 0xb766003a, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 345}, alloc = 0, size = 0, data = 0xb766004e, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0xb766003c, static codecForCStrings = 0x0}, verifyPath = false, readOnly = false, keepPassword = true, modified = false, d = 0x8f8ea88}, windowId=0, usertime=0)
    at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserveradaptor.cpp:57
#116 0xb2e6ce38 in KPasswdServerAdaptor::qt_metacall (this=0x8ebdf08, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfd0b5c0)
    at /home/kde-devel/kde/build/KDE/kdebase/runtime/kpasswdserver/kpasswdserveradaptor.moc:145
#117 0xb767e0be in QDBusConnectionPrivate::deliverCall (this=0x8e6bab0, object=0x8ebdf08, msg=@0x900fd90, metaTypes=@0xbfd0b6e0, slotIdx=9) at qdbusintegrator.cpp:891
#118 0xb767ebd1 in QDBusConnectionPrivate::activateCall (this=0x8e6bab0, object=0x8ebdf08, flags=497, msg=@0x900fd90) at qdbusintegrator.cpp:796
#119 0xb767f71c in QDBusConnectionPrivate::activateObject (this=0x8e6bab0, node=@0x900fd7c, msg=@0x900fd90, pathStartPos=22) at qdbusintegrator.cpp:1352
#120 0xb767f999 in QDBusActivateObjectEvent::placeMetaCall (this=0x900fd50) at qdbusintegrator.cpp:1469
#121 0xb75b69ef in QObject::event (this=0x900c360, e=0x900fd50) at kernel/qobject.cpp:1115
#122 0xb6ab71d5 in QApplicationPrivate::notify_helper (this=0x8e67df8, receiver=0x900c360, e=0x900fd50) at kernel/qapplication.cpp:4057
#123 0xb6ab7589 in QApplication::notify (this=0xbfd0c070, receiver=0x900c360, e=0x900fd50) at kernel/qapplication.cpp:3604
#124 0xb7afe24a in KApplication::notify (this=0xbfd0c070, receiver=0x900c360, event=0x900fd50) at /home/kde-devel/kde/src/KDE/kdelibs/kdeui/kernel/kapplication.cpp:307
#125 0xb75a26cb in QCoreApplication::notifyInternal (this=0xbfd0c070, receiver=0x900c360, event=0x900fd50) at kernel/qcoreapplication.cpp:606
#126 0xb75a6259 in QCoreApplication::sendEvent (receiver=0x900c360, event=0x900fd50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#127 0xb75a2bb3 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8e31998) at kernel/qcoreapplication.cpp:1244
#128 0xb75a2d6f in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1140
#129 0xb75d2e2a in QCoreApplication::sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#130 0xb75d2035 in postEventSourceDispatch (s=0x8e6a118) at kernel/qeventdispatcher_glib.cpp:209
#131 0xb633b718 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#132 0xb633ec7b in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#133 0xb633edf8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#134 0xb75d141e in QEventDispatcherGlib::processEvents (this=0x8e67dd8, flags={i = -1076838616}) at kernel/qeventdispatcher_glib.cpp:324
#135 0xb6b64dd8 in QGuiEventDispatcherGlib::processEvents (this=0x8e67dd8, flags={i = -1076838568}) at kernel/qguieventdispatcher_glib.cpp:202
#136 0xb759f6b0 in QEventLoop::processEvents (this=0xbfd0bfe0, flags={i = -1076838496}) at kernel/qeventloop.cpp:149
#137 0xb759f90a in QEventLoop::exec (this=0xbfd0bfe0, flags={i = -1076838424}) at kernel/qeventloop.cpp:196
#138 0xb75a2ea3 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#139 0xb6ab6eee in QApplication::exec () at kernel/qapplication.cpp:3526
#140 0xb7fe7dd0 in kdemain (argc=1, argv=0xbfd0c2a4) at /home/kde-devel/kde/src/KDE/kdelibs/kded/kded.cpp:938
#141 0x080486f2 in main (argc=) at /home/kde-devel/kde/build/KDE/kdelibs/kded/kded4_dummy.cpp:3
Comment 1 Dario Andres 2009-05-15 13:58:08 UTC
*** Bug 192750 has been marked as a duplicate of this bug. ***
Comment 2 Michael Leupold 2009-05-15 14:38:19 UTC
This seems to be related to the AuthInfoContainer containing the AuthInfo being processed vanishing due to a timeout or similar.
Comment 3 Dario Andres 2009-06-03 15:13:13 UTC
@lemma: bug 192525 looks also related but on startup.
Thanks
Comment 4 Dario Andres 2009-06-03 16:15:43 UTC
Err.. I meant bug 195058
Comment 5 Michael Leupold 2009-06-03 16:16:52 UTC
Probably related to bug 195058.
Comment 6 Dario Andres 2009-06-04 18:40:04 UTC
I got this another time with a similar situation:
-Entering to a fish folder
-Password requested
- Password was entered and the remember password checkbox was checked
- Click OK
- KDE Wallet message box to open the kde default wallet appeared. I entered the password and then clicked OK....
- Then a new password for the Fish folder appeared and KDE Daemon crashed with the same backtrace.

Using:

Qt: 4.5.1 (qt-copy  971295)
KDE: 4.2.88 (KDE 4.2.88 (KDE 4.3 >= 20090527))
kdelibs svn rev. 975695 / kdebase svn rev. 975695
on ArchLinux i686 - Kernel 2.6.29.4
Comment 7 Michael Leupold 2009-06-04 19:45:57 UTC
@Dario: Did it happen while you were sitting in front of your PC all the time or was there a delay this time as well?
Comment 8 Dario Andres 2009-06-04 19:52:51 UTC
Err. no delay this time. I did used the fish authentication dialog previously in the same sessions (without saving to the wallet)...
Comment 9 Ben Cooksley 2009-06-11 04:41:17 UTC
Just got this myself, caused by Choqok requesting the same set of credentials twice and filling out the second dialog.
It took Plasma with it when it crashed also.

My backtrace indicates it crashed at step #7 instead of #6 though.
Comment 10 Dario Andres 2009-06-12 15:20:39 UTC
*** Bug 196118 has been marked as a duplicate of this bug. ***
Comment 11 Michael Leupold 2009-06-12 23:54:23 UTC
*** Bug 195058 has been marked as a duplicate of this bug. ***
Comment 12 Michael Leupold 2009-06-13 00:55:46 UTC
SVN commit 981236 by mleupold:

Move the returned KIO::AuthInfo into the right scope. Previously the (already deleted) AuthInfo object was passed back which sometimes lead to crashes.

BUG:192525
CCMAIL:dfaure@kde.org

 M  +4 -3      kpasswdserver.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=981236
Comment 13 Dario Andres 2009-06-17 14:28:23 UTC
*** Bug 196849 has been marked as a duplicate of this bug. ***
Comment 14 Dario Andres 2009-06-19 15:16:40 UTC
*** Bug 197045 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2009-06-24 02:07:47 UTC
*** Bug 197676 has been marked as a duplicate of this bug. ***
Comment 16 Dario Andres 2009-06-29 20:09:58 UTC
*** Bug 198323 has been marked as a duplicate of this bug. ***
Comment 17 Christoph Feck 2009-07-01 03:50:02 UTC
*** Bug 198465 has been marked as a duplicate of this bug. ***
Comment 18 Christoph Feck 2009-07-01 03:51:50 UTC
*** Bug 198488 has been marked as a duplicate of this bug. ***